﻿<Page x:Class="WpfBrowserAppKépGaléria.Page1"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:WpfBrowserAppKépGaléria"
      mc:Ignorable="d" 
      d:DesignHeight="360" d:DesignWidth="780"
      Title="Page1">
    <Grid Background="White" RenderTransformOrigin="0.5,0.5" >
        <Grid.RowDefinitions>
            <RowDefinition Height="80" />
            <RowDefinition Height="250" />
            <RowDefinition Height="30" />
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="20" />
            <ColumnDefinition Width="200" />
            <ColumnDefinition Width="20" />
            <ColumnDefinition Width="300" />
            <ColumnDefinition Width="20" />
            <ColumnDefinition Width="200" />
            <ColumnDefinition Width="20" />
        </Grid.ColumnDefinitions>
        <Label x:Name="label" Grid.Row="0" Grid.Column="3" Content="Képgaléria" HorizontalAlignment="Center" Margin="20,10,0,0" VerticalAlignment="Top" Width="259" FontWeight="Bold" FontSize="30"/>
        <Image Grid.Row="1" Grid.Column="1" x:Name="imgBal" Width="170"  Source="/WPFBrowserAppKépGaléria;component/Képek/1.jpeg">
            <Image.LayoutTransform>
                <RotateTransform Angle="-10"></RotateTransform>
            </Image.LayoutTransform>
        </Image>
        <Image Grid.Row="1" Grid.Column="3" x:Name="imgKözépső" Width="auto"  Source="/WPFBrowserAppKépGaléria;component/Képek/2.jpeg">
            <Image.RenderTransform>
                <RotateTransform Angle="0" CenterX="150" CenterY="100" />
            </Image.RenderTransform>
        </Image>
        <Image Grid.Row="1" Grid.Column="5" x:Name="imgJobb" Width="170"  Source="/WPFBrowserAppKépGaléria;component/Képek/3.jpeg">
            <Image.LayoutTransform>
                <RotateTransform Angle="10"></RotateTransform>
            </Image.LayoutTransform>
        </Image>
        <Button x:Name="btnElőre" Content="Előre" Grid.Column="1" HorizontalAlignment="Left" Margin="10,4,0,6" Grid.Row="2" Width="75" Click="btnElőre_Click">
          
        </Button>
        <Button x:Name="btnHátra" Content="Tovább" Grid.Column="5" HorizontalAlignment="Left" Margin="121,4,0,0" Grid.Row="2" VerticalAlignment="Top" Width="75" Click="btnHátra_Click">
            <Button.Triggers>
                <EventTrigger RoutedEvent="Button.Click">
                    <BeginStoryboard>
                        <Storyboard>
                            <DoubleAnimation Storyboard.TargetName="imgKözépső" Storyboard.TargetProperty="RenderTransform.Angle" By="360" Duration="0:0:1" />
                        </Storyboard>
                    </BeginStoryboard>
                </EventTrigger>
            </Button.Triggers>
        </Button>
    </Grid>
</Page>
